 import java.lang.*;

/**
 * Created by dan on 6/14/17.
 */
public class StringUtilities {
    /**
     * @return `Hello World` as a string
     */
    public static String getHelloWorld() {
        String hello = "Hello World";
        return hello;
    }

    /**
     * @param firstSegment a string to be added to
     * @param secondSegment a string to add
     * @return the concatenation of two strings, `firstSegment`, and `secondSegment`
     */
    public static String concatenation(String firstSegment, String secondSegment){
        String together = firstSegment + secondSegment;
        return together;
    }

    /**
     * @param firstSegment a string to be added to
     * @param secondSegment a string to add
     * @return the concatenation of an integer, `firstSegment`, and a String, `secondSegment`
     */
    public static String concatenation(int firstSegment, String secondSegment){
        String together = firstSegment + secondSegment;
        return together;
    }

    /**
     * @param input a string to be manipulated
     * @return the first 3 characters of `input`
     */
    public static String getPrefix(String input){
        String output = "";
        for(int i = 0; i <= 2 ; i++){
            output = output + input.charAt(i);
        }
        return output;
    }

    /**
     * @param input a string to be manipulated
     * @return the last 3 characters of `input`
     */
    public static String getSuffix(String input){
        String output = "";
        for(int i = input.length() - 3; i < input.length(); i ++){
            output = output + input.charAt(i);
        }
        return output;
    }

    /**
     * @param inputValue the value to be compared
     * @param comparableValue the value to be compared against
     * @return the equivalence of two strings, `inputValue` and `comparableValue`
     */
    public static Boolean compareTwoStrings(String inputValue, String comparableValue){
        boolean output = false;
        if(inputValue.equals(comparableValue)){
            output = true;
        }else{
            output = false;
        }
            return output;
    }

    /**
     * @param inputValue the value input from user
     * @return the middle character of `inputValue`
     */
    public static Character getMiddleCharacter(String inputValue){
        int middle = 0;
        char middleChar = 'a';
        if(inputValue.length() % 2 == 0){
            middle = (inputValue.length() / 2) - 1;
            middleChar = inputValue.charAt(middle);
        } else if(inputValue.length() % 2 == 1){
            middle = inputValue.length() / 2;
            middleChar = inputValue.charAt(middle);
        }
        return middleChar;
    }

    /**
     * @param spaceDelimitedString a string, representative of a sentence, containing spaces
     * @return the first sequence of characters
     */
    public static String getFirstWord(String spaceDelimitedString){
        int space = spaceDelimitedString.indexOf(' ');
        String firstWord = spaceDelimitedString.substring(0,space);
        return firstWord;
    }

    /**
     * @param spaceDelimitedString a string delimited by spaces
     * @return the second word of a string delimited by spaces.
     */
    public static String getSecondWord(String spaceDelimitedString){
        int space = spaceDelimitedString.indexOf(' ');
        String secondWord = spaceDelimitedString.substring(space+ 1, spaceDelimitedString.length());
        return secondWord;
    }

    /**
     * @param stringToReverse
     * @return an identical string with characters in reverse order.
     */
    public static String reverse(String stringToReverse){
        String output = "";
        for(int i = stringToReverse.length() - 1; i >= 0; i --){
            output = output + stringToReverse.charAt(i);
        }
        return output;
    }
}
